package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.DatosCosultoresCompletosFacturacion;

import javax.ejb.Local;
import java.util.List;

@Local
public interface DatosCosultoresCompletosFacturacionFacadeLocal {


    void edit(DatosCosultoresCompletosFacturacion cargos);

    void remove(DatosCosultoresCompletosFacturacion cargos);

    DatosCosultoresCompletosFacturacion find(String id);

    List<DatosCosultoresCompletosFacturacion> findAll();

    List<DatosCosultoresCompletosFacturacion> findRange(int[] range);

    int count();

    void ActualizaConsultorMasivo(String codigoConsutor);

    DatosCosultoresCompletosFacturacion busquedaDato(String consultorCodigo);
}
